Das Contao Camp 2020 in Hamburg. LEIDER ABGESAGT!
Ergebnis 1 bis 13 von 13

Thema: Erweiterung deinstallieren Contao 4.8.7

  1. #1
    Contao-Nutzer
    Registriert seit
    24.06.2009.
    Beiträge
    128

    Standard Erweiterung deinstallieren Contao 4.8.7

    Hallo Zusammen,

    ich habe eine Erweiterung Names tabcontrol über den Contao-Manager installiert, funktionierte alles perfekt. Nun wird diese Erweiterung nicht mehr benötigt und möchte die deinstallieren über den Contao-Manager. Im Testlauf funktioniert alles allerdings bei der richtigen Löschung kommt folgender Fehler in der Console:

    In ScriptHandler.php line 88:

    An error occurred while executing the "cache:warmup" command: 11:26:47 ERRO
    R [console] Error thrown while running command "cache:warmup --env=prod
    ". Message: "Argument 1 passed to Knp\Bundle\TimeBundle\DateTimeFormatter::
    __construct() must implement interface Symfony\Contracts\Translation\Transl
    atorInterface, instance of Contao\CoreBundle\Translation\Translator given,
    called in /usr/www/users/cms2/var/cache/prod/ContainerCpeQnsa/getTwigServic
    e.php on line 108" ["exception" => TypeError { …},"command" => "cache:warmu
    p --env=prod","message" => "Argument 1 passed to Knp\Bundle\TimeBundle\Date
    TimeFormatter::__construct() must implement interface Symfony\Contracts\Tra
    nslation\TranslatorInterface, instance of Contao\CoreBundle\Translation\Tra
    nslator given, called in /usr/www/users/cms2/var/cache/prod/ContainerCpeQns
    a/getTwigService.php on line 108"]

    Gibt es eine Möglichkeit diese Erweiterung manuell zu entfernen?

  2. #2
    Contao-Fan Avatar von fusch
    Registriert seit
    25.03.2012.
    Ort
    München
    Beiträge
    440

    Standard

    Hallo mattes,

    Du kannst den Eintrag aus der composer.json entfernen und dann ein "composer update" auf der Kommandozeile laufen lassen. Danach ins Installtool wie gewohnt.

    LG
    Hella
    Mitglied des Contao User Treffen München
    Aktuelle Termine erfährst Du immer unter www.contao-bayern.de
    Komm' doch mal vorbei!

  3. #3
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    23.027
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Der Fehler hat nichts mit der Installation oder Deinstallation der Erweiterung zu tun. Zumindest nicht direkt. Stelle sicher, dass folgender Eintrag unter "require" in deiner composer.json vorhanden ist:
    Code:
    "contao/conflicts": "@dev"
    In allen Fällen nochmal ein komplettes composer update durchführen (Konsole oder Contao Manager Systemwartung).

  4. #4
    Contao-Nutzer
    Registriert seit
    24.06.2009.
    Beiträge
    128

    Standard

    Hi Hella, hi Spooky,

    habe das jetzt einmal von Spooky so gemacht wie beschrieben, Zeile "contao/conflicts": "@dev" in die composer.json gepackt, unter Systemwartung im Contao-Manager den Composer unter
    Composer-Abhängigkeiten aktualisiert. Danach nochmals versucht die Erweiterung zu löschen, leider ohne Erfolg die Fehlermeldung bleibt die gleiche.
    Geändert von mattes (18.03.2020 um 13:47 Uhr)

  5. #5
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    23.027
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    composer update, nicht composer class loader.

  6. #6
    Contao-Nutzer
    Registriert seit
    24.06.2009.
    Beiträge
    128

    Standard

    Hi Spooky,

    sorry da hatte ich etwas falsch verstanden. Habe nun den Composter unter Systemwartung/Composer-Abhängigkeiten/Composter update durch geführt. Lief auch alles sauber durch, dann versucht die Erweiterung zu löschen und die Fehlermeldung erscheint wieder.

    Kann ich nicht einfach über FTP die Sourcen von der Erweiterung löschen, die composer.json den Eintrag von der Erweiterung löschen, den Cache löschen und das Install-Tool rüber laufen lassen und fertig?

  7. #7
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    23.027
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von mattes Beitrag anzeigen
    dann versucht die Erweiterung zu löschen
    Wie genau versuchst du das?

  8. #8
    Contao-Nutzer
    Registriert seit
    24.06.2009.
    Beiträge
    128

    Standard

    Versuchen zu löschen über den Contao-Manager, zur Erweiterung, Entfernen.

  9. #9
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    23.027
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Poste die Konsolenausgabe davon.

  10. #10
    Contao-Nutzer
    Registriert seit
    24.06.2009.
    Beiträge
    128

    Standard

    Hier mal die komplette Consolenausgabe:

    Code:
    $ /usr/bin/php73 -q /usr/www/users/cms2/web/contao-manager.phar.php composer remove christianbarkowsky/tabcontrol --no-update --no-scripts --no-ansi --no-interaction
    
    Key contao/conflicts is a duplicate in /usr/www/users/cms2/composer.json at line 8
    
    # Process terminated with exit code 0
    # Result: OK
    
    
    > Resolving dependencies using Composer Cloud v2.2.5
    
    # Job ID c68zzmOSVZ0jgMGImD2XE4GevchLfmjB6dkGarC0HkAOmGeGTLoqwVg2ob6NOX3QbDAkyBuMZCo3qKSxMYf17LwGK8d5l46VSP completed in 35 seconds
    # Memory usage: 440.25MB (peak: 2091.9MB), time: 32.64s.
    
    $ /usr/bin/php73 -q /usr/www/users/cms2/web/contao-manager.phar.php composer install --prefer-dist --no-dev --no-progress --no-suggest --no-ansi --no-interaction --optimize-autoloader
    
    ocramius/package-versions: Generating version class...
    ocramius/package-versions: ...done generating version class
    contao/manager-plugin: Generating plugin class...
    contao/manager-plugin: ...done generating plugin class
    Added the web/index.php file.
    Added the web/preview.php file.
    Added the web/app.php file.
    
     // Clearing the cache for the prod environment with debug                      
     // false                                                                       
    
     [OK] Cache for the "prod" environment (debug=false) was successfully cleared.  
    
    
     // Warming up the cache for the prod environment with debug                    
     // false                                                                       
    
    15:40:39 ERROR     [console] Error thrown while running command "cache:warmup --env=prod". Message: "Argument 1 passed to Knp\Bundle\TimeBundle\DateTimeFormatter::__construct() must implement interface Symfony\Contracts\Translation\TranslatorInterface, instance of Contao\CoreBundle\Translation\Translator given, called in /usr/www/users/cms2/var/cache/prod/ContainerCpeQnsa/getTwigService.php on line 108" ["exception" => TypeError { …},"command" => "cache:warmup --env=prod","message" => "Argument 1 passed to Knp\Bundle\TimeBundle\DateTimeFormatter::__construct() must implement interface Symfony\Contracts\Translation\TranslatorInterface, instance of Contao\CoreBundle\Translation\Translator given, called in /usr/www/users/cms2/var/cache/prod/ContainerCpeQnsa/getTwigService.php on line 108"]
    
    In DateTimeFormatter.php line 17:
                                                                                   
      Argument 1 passed to Knp\Bundle\TimeBundle\DateTimeFormatter::__construct()  
       must implement interface Symfony\Contracts\Translation\TranslatorInterface  
      , instance of Contao\CoreBundle\Translation\Translator given, called in /us  
      r/www/users/cms2/var/cache/prod/ContainerCpeQnsa/getTwigService.php on line  
       108                                                                         
                                                                                   
    
    cache:warmup [--no-optional-warmers] [-h|--help] [-q|--quiet] [-v|vv|vvv|--verbose] [-V|--version] [--ansi] [--no-ansi] [-n|--no-interaction] [-e|--env ENV] [--] <command>
    
    Key contao/conflicts is a duplicate in /usr/www/users/cms2/composer.json at line 7
    Loading composer repositories with package information
    Installing dependencies from lock file
    Package operations: 0 installs, 22 updates, 1 removal
      - Removing christianbarkowsky/tabcontrol (3.0.12)
      - Updating symfony/polyfill-php73 (v1.13.1 => v1.14.0): Downloading (100%)
      - Updating symfony/polyfill-mbstring (v1.13.1 => v1.14.0): Downloading (100%)
      - Updating doctrine/orm (v2.7.0 => v2.7.1): Downloading (100%)
      - Updating symfony/polyfill-php72 (v1.13.1 => v1.14.0): Downloading (100%)
      - Updating symfony/polyfill-intl-idn (v1.13.1 => v1.14.0): Downloading (100%)
      - Updating egulias/email-validator (2.1.15 => 2.1.17): Downloading (100%)
      - Updating symfony/polyfill-ctype (v1.13.1 => v1.14.0): Downloading (100%)
      - Updating symfony/templating (v5.0.4 => v5.0.5): Downloading (100%)
      - Updating knplabs/knp-time-bundle (v1.10.0 => v1.11.0): Downloading (100%)
      - Updating twig/twig (v2.12.3 => v2.12.5): Downloading (100%)
      - Updating symfony/twig-bridge (v4.4.4 => v4.4.5): Downloading (100%)
      - Updating symfony/mime (v4.4.4 => v4.4.5): Downloading (100%)
      - Updating symfony/debug (v4.4.4 => v4.4.5): Downloading (100%)
      - Updating symfony/inflector (v5.0.4 => v5.0.5): Downloading (100%)
      - Updating symfony/property-access (v4.4.4 => v4.4.5): Downloading (100%)
      - Updating symfony/var-exporter (v4.4.4 => v4.4.5): Downloading (100%)
      - Updating scheb/two-factor-bundle (v4.13.0 => v4.14.0): Downloading (100%)
      - Updating scssphp/scssphp (1.0.7 => 1.0.8): Downloading (100%)
      - Updating symfony-cmf/routing-bundle (2.2.0 => 2.3.0): Downloading (100%)
      - Updating symfony/options-resolver (v5.0.4 => v5.0.5): Downloading (100%)
      - Updating symfony/polyfill-iconv (v1.13.1 => v1.14.0): Downloading (100%)
      - Updating webmozart/assert (1.6.0 => 1.7.0): Downloading (100%)
    Package oyejorge/less.php is abandoned, you should avoid using it. No replacement was suggested.
    Package zendframework/zend-code is abandoned, you should avoid using it. Use laminas/laminas-code instead.
    Package zendframework/zend-eventmanager is abandoned, you should avoid using it. Use laminas/laminas-eventmanager instead.
    Generating optimized autoload files
    > Contao\ManagerBundle\Composer\ScriptHandler::initializeApplication
    Script Contao\ManagerBundle\Composer\ScriptHandler::initializeApplication handling the post-install-cmd event terminated with an exception
    
    In ScriptHandler.php line 88:
                                                                                   
      An error occurred while executing the "cache:warmup" command: 15:40:39 ERRO  
      R     [console] Error thrown while running command "cache:warmup --env=prod  
      ". Message: "Argument 1 passed to Knp\Bundle\TimeBundle\DateTimeFormatter::  
      __construct() must implement interface Symfony\Contracts\Translation\Transl  
      atorInterface, instance of Contao\CoreBundle\Translation\Translator given,   
      called in /usr/www/users/cms2/var/cache/prod/ContainerCpeQnsa/getTwigServic  
      e.php on line 108" ["exception" => TypeError { …},"command" => "cache:warmu  
      p --env=prod","message" => "Argument 1 passed to Knp\Bundle\TimeBundle\Date  
      TimeFormatter::__construct() must implement interface Symfony\Contracts\Tra  
      nslation\TranslatorInterface, instance of Contao\CoreBundle\Translation\Tra  
      nslator given, called in /usr/www/users/cms2/var/cache/prod/ContainerCpeQns  
      a/getTwigService.php on line 108"]                                           
                                                                                   
      In DateTimeFormatter.php line 17:                                            
                                                                                   
                                                                                   
        Argument 1 passed to Knp\Bundle\TimeBundle\DateTimeFormatter::__construct  
      ()                                                                           
         must implement interface Symfony\Contracts\Translation\TranslatorInterfa  
      ce                                                                           
        , instance of Contao\CoreBundle\Translation\Translator given, called in /  
      us                                                                           
        r/www/users/cms2/var/cache/prod/ContainerCpeQnsa/getTwigService.php on li  
      ne                                                                           
         108                                                                       
                                                                                   
                                                                                   
                                                                                   
                                                                                   
      cache:warmup [--no-optional-warmers] [-h|--help] [-q|--quiet] [-v|vv|vvv|--  
      verbose] [-V|--version] [--ansi] [--no-ansi] [-n|--no-interaction] [-e|--en  
      v ENV] [--] <command>                                                        
                                                                                   
    
    install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-custom-installers] [--no-autoloader] [--no-scripts] [--no-progress] [--no-suggest] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--apcu-autoloader] [--ignore-platform-reqs] [--] [<packages>...]
    
    
    # Process terminated with exit code 1
    # Result: General error
    
    
    ---
    
    ### Der Hintergrundprozess wurde unerwartet beendet ###
    Geändert von mattes (18.03.2020 um 14:59 Uhr)

  11. #11
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    23.027
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Moderation: bitte editiere deinen Post und verwende [code] Tags für die Konsolenausgabe.

  12. #12
    Contao-Fan
    Registriert seit
    05.11.2009.
    Ort
    Liebschützberg (Sachsen)
    Beiträge
    472

    Standard

    Hier hilft ein Paketupdate aller Komponenten auf Contaoversion 4.8.8, danach sollte das Entfernen der Erweiterung wieder funktionieren.

  13. #13
    Contao-Nutzer
    Registriert seit
    24.06.2009.
    Beiträge
    128

    Standard

    Habe ein Update auf 4.9.1 gefahren und die Erweiterung zu entfernen über den Contao-Manager funktionierte sofort!
    Ich danke euch und bleibt gesund!
    Geändert von mattes (19.03.2020 um 09:42 Uhr)

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •